package com.caimei.module.base.entity.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * cm_user_balance_record
 *
 * @author
 */
@Data
public class CmUserBalanceRecord implements Serializable {
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 收支类型：1收入，2支出
     */
    private String type;

    /**
     * 余额类型：1余额抵扣，2多收退款到余额，3申请退款,4余额充值，5余额提现,6订金订单充值,7余额订单充值,8订金订单退款,9余额订单退款
     */
    private String balanceType;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addDate;

    /**
     * 金额
     */
    private BigDecimal amount;

    /**
     * 主订单ID（适用余额类型1,3[类型为3多次退款存在相同记录ID则需通过退款ID唯一区分]）
     */
    private Long orderId;

    /**
     * 收款ID（适用余额类型2）
     */
    private Long receiptId;

    /**
     * 退货退款ID（适用余额类型3）
     */
    private Long returnedId;

    /**
     * 用户提现ID对应表(cm_user_balance_withdrawals)
     */
    private Long withdrawalsId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 删除标记 0 否，其余是
     */
    private String delFlag;

    private static final long serialVersionUID = 1L;
}
