package com.caimei.module.base.entity.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * shop
 *
 * @author
 */
@Data
public class Shop implements Serializable {
    private Integer shopID;

    /**
     * 对应的userId
     */
    private Integer userID;

    /**
     * 名称
     */
    private String name;

    /**
     * 供应商公司简称
     */
    private String sname;

    /**
     * 【V2021已废弃】英文名
     */
    private String nameEn;

    /**
     * 【V2021已废弃】网站
     */
    private String site;

    /**
     * 【V2021已废弃】供应商接受采美分账的易宝商户编码
     */
    private String ledgerNo;

    /**
     * 公司LOGO
     */
    private String logo;

    /**
     * 供应商欠款金额（供应商口头返佣欠款录入）
     */
    private BigDecimal rebateAmount;

    /**
     * 【V2021已废弃】
     */
    private Double level;

    /**
     * 【V2021已废弃】评分
     */
    private Double score;

    /**
     * 【V2021已废弃】
     */
    private Integer productCount;

    /**
     * 法人
     */
    private String legalPerson;

    private String businessLicense;

    /**
     * 营业执照
     */
    private String businessLicenseImage;

    private String taxCertificate;

    /**
     * 税务登记证
     */
    private String taxCertificateImage;

    /**
     * 供应商授权采美代理证书
     */
    private String authorizationCertificateImage;

    /**
     * 省
     */
    private Integer provinceID;

    /**
     * 市
     */
    private Integer cityID;

    /**
     * 所在县区Id
     */
    private Integer townID;

    /**
     * 地址
     */
    private String address;

    /**
     * 注册资本
     */
    private Double registeredCapital;

    /**
     * 公司性质
     */
    private String nature;

    /**
     * 年营业额
     */
    private Double turnover;

    /**
     * 联系人
     */
    private String linkMan;

    /**
     * 固定电话
     */
    private String contractPhone;

    /**
     * 手机号
     */
    private String contractMobile;

    /**
     * 传真
     */
    private String fax;

    /**
     * 邮编
     */
    private String zipCode;

    /**
     * 联系人1（默认联系人）
     */
    private String linkMan1;

    /**
     * 联系人1职务
     */
    private String duty1;

    /**
     * 联系人1固定电话
     */
    private String contractPhone1;

    /**
     * 联系人1手机号
     */
    private String contractMobile1;

    /**
     * 联系人1QQ
     */
    private String contractQQ1;

    /**
     * 联系人1微信
     */
    private String wechat1;

    /**
     * 联系人1邮箱
     */
    private String contractEmail1;

    /**
     * 联系人2
     */
    private String linkMan2;

    /**
     * 联系人2职务
     */
    private String duty2;

    /**
     * 联系人2固定电话
     */
    private String contractPhone2;

    /**
     * 联系人2手机号
     */
    private String contractMobile2;

    /**
     * 联系人2QQ
     */
    private String contractQQ2;

    /**
     * 联系人2微信
     */
    private String wechat2;

    /**
     * 联系人2邮箱
     */
    private String contractEmail2;

    /**
     * 【V2021已废弃】
     */
    private String scope;

    /**
     * 介绍
     */
    private String info;

    /**
     * 主打产品说明
     */
    private String productDesc;

    /**
     * 【V2021已废弃】
     */
    private Double lng;

    /**
     * 【V2021已废弃】
     */
    private Double lat;

    /**
     * 添加时间
     */
    private String addTime;

    /**
     * 审核状态
     */
    private String auditStatus;

    /**
     * 审核时间
     */
    private String auditTime;

    /**
     * 审核信息
     */
    private String auditNote;

    /**
     * 【V2021已废弃】被收藏次数
     */
    private Integer favoriteTimes;

    /**
     * 是否可用，1可用
     */
    private String validFlag;

    /**
     * 【V2021已废弃】
     */
    private String payFlag1;

    /**
     * 【V2021已废弃】
     */
    private String auditFlag1;

    /**
     * 【V2021已废弃】
     */
    private String payFlag2;

    /**
     * 【V2021已废弃】
     */
    private String auditFlag2;

    /**
     * 【V2021已废弃】
     */
    private String payFlag3;

    /**
     * 【V2021已废弃】
     */
    private String auditFlag3;

    /**
     * 【V2021已废弃】
     */
    private String note;

    /**
     * 供应商状态，见表c_shopstatus或枚举ShopStatus
     */
    private Integer status;

    /**
     * 【V2021已废弃】
     */
    private Integer sortIndex;

    /**
     * 【V2021已废弃】
     */
    private Double rate1;

    /**
     * 【V2021已废弃】
     */
    private Double rate2;

    /**
     * 【V2021已废弃】
     */
    private String masterFlag;

    /**
     * 【V2021已废弃】
     */
    private String erpFlag;

    /**
     * 【V2021已废弃】
     */
    private String shopSecret;

    /**
     * 【V2021已废弃】
     */
    private String masterLogo;

    /**
     * 【V2021已废弃】
     */
    private String cooperateFlag;

    /**
     * 【V2021已废弃】
     */
    private Integer bail;

    /**
     * 经营范围
     */
    private String businessScope;

    /**
     * 统一社会信用代码
     */
    private String socialCreditCode;

    /**
     * 主打项目
     */
    private String mainpro;

    /**
     * 医疗=1和非医疗=2
     */
    private String firstShopType;

    /**
     * 医疗的二级分类 一类器械=1、二类器械 =2、三类器械=3、其他=4 /// 1和非医疗没有二级分类
     */
    private String secondShopType;

    /**
     * 如选择为医疗>>三类器械  则必须要上传资质。
     */
    private String medicalPracticeLicenseImg1;

    /**
     * 如选择为医疗>>三类器械  则必须要上传资质。
     */
    private String medicalPracticeLicenseImg2;

    /**
     * 如选择为医疗>>三类器械  则必须要上传资质。
     */
    private String medicalPracticeLicenseImg3;

    /**
     * 银行账号
     */
    private String bankAccount;

    /**
     * 付款账号的户名
     */
    private String bankAccountName;

    /**
     * 付款账号的开户行
     */
    private String bankName;

    /**
     * 可用余额
     */
    private BigDecimal ableRebateAmount;

    private static final long serialVersionUID = 1L;
}
